#!/bin/sh

#
# This script performs a full restore of a backup to an existing store
#

if [ -z "$1" ]; then
	echo "You must specify the username of the backup to perform the restore on"
	exit 1
fi

FROM_USER=$1
INDEX=${FROM_USER}.index.zbk

TO_USER=${FROM_USER}
if [ ! -z "$2" ]; then
	TO_USER=$2
fi

root=`head -2 "${INDEX}" | grep ^R | cut -d\: -f3`
if [ -z "${root}" ]; then
	echo 'Root entry not found in index!'
	exit 1
fi
# The options '-i -' makes the zarafa-restore tool read the restore keys from stdin
grep ^C "${INDEX}" | grep ${root} | cut -d\: -f7 | zarafa-restore -f "${FROM_USER}" -u "${TO_USER}" -r -v -i -
